> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List System Logs

GET https://api.bigcommerce.com/stores/{store_hash}/v3/store/systemlogs

Get system logs 

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/system-logs/get-store-system-logs

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store logs | read-only | store_logs_read_only | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `limit` (integer, optional, default: 50) — Query parameter that lets you return the number of results displayed per page.
- `page` (integer, optional, default: 1) — Query parameter that lets you specify the starting page in which results are returned.
- `type` (enum, optional) — Query parameter that lets you filter the results by log type.
  - Allowed values: `general`, `payment`, `shipping`, `tax`, `notification`, `emailintegration`, `ordersettings`, `design`
- `type:not` (string, optional) — Query parameter that lets you exclude a log type from the results.
- `module` (enum, optional) — Query parameter that lets you filter the results by module.
  - Allowed values: `export+only`, `email+message`, `theme+download`, `order+status`, `optimized+checkout`
- `module:not` (string, optional) — Query parameter that lets you exclude a log module from the results.
- `severity` (enum, optional) — Query parameter that lets you filter results by severity level, as an integer. The following values are possible: Success = 1, Notice = 2, Warning = 3, Error = 4
  - Allowed values: `1`, `2`, `3`, `4`
- `severity:min` (integer, optional) — Query parameter that lets you filter by minimum severity, as an integer.
- `severity:max` (integer, optional) — Query parameter that lets you filter by maximum severity, as an integer.
- `id:in` (list of integer, optional) — A comma-separated list of log IDs by which to filter. For example, `?id:in=3,4,6`.
- `sort` (enum, optional) — The log key by which to sort results. If left blank, results will be reported in order of creation. This parameter is case-sensitive.
  - Allowed values: `date_created`, `type`
- `direction` (enum, optional) — The direction in which to sort results. Defaults to ascending (`asc`). This parameter is case-sensitive.
  - Allowed values: `asc`, `desc`

## Response

### 200

The request completed successfully.

- `data` (list of SystemLog, optional)
- `meta` (IndexMeta, optional) — BigCommerce meta payload for collection-type responses.

## Types

### SystemLog

- `id` (integer, optional)
- `type` (string, optional)
- `module` (string, optional)
- `severity` (string, optional)
- `summary` (string, optional)
- `message` (string, optional)
- `date_created` (datetime, optional)

### IndexMeta

BigCommerce meta payload for collection-type responses.

- `pagination` (IndexMetaPagination, optional)

### IndexMetaPagination

- `total` (integer, optional)
- `count` (integer, optional)
- `per_page` (integer, optional)
- `current_page` (integer, optional)
- `total_pages` (integer, optional)
- `links` (IndexMetaPaginationLinks, optional)

### IndexMetaPaginationLinks

- `previous` (string, optional)
- `current` (string, optional)
- `next` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "type": "string",
      "module": "string",
      "severity": "string",
      "summary": "string",
      "message": "string",
      "date_created": "2024-01-15T09:30:00Z"
    }
  ],
  "meta": {
    "pagination": {
      "total": 1,
      "count": 1,
      "per_page": 50,
      "current_page": 1,
      "total_pages": 1,
      "links": {
        "previous": "?page=1&limit=50",
        "current": "?page=1&limit=50",
        "next": "?page=1&limit=50"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/store/systemlogs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```